{
	"parent": "niknok:technical/when_pigs_fly_ad1",

	"display":
	{
		"icon":
		{
			"item": "minecraft:command_block"
		},
		"title":
		{
			"translate": "Internal"
		},
		"description":
		{
			"translate": "§oIf you see this, attempt /function niknok:___commands/reset_technical_advancements. \n §cIf this technical advancment persists, report bug as LIBRARIAN TECH BUSTED"
		},
		"frame": "task",
		"show_toast": false,
		"announce_to_chat": false,
		"hidden": true
	},
	"criteria":
	{
		"event":
		{
			"trigger": "minecraft:inventory_changed",
			"conditions":
			{
				"items":
				[{
					"items":
					[
						"minecraft:bookshelf"
					]
				}]
			}
		}
	},
	"requirements":
	[
		["event"]
	],

	"rewards":
	{
		"function": "niknok:advancements/librarian_fn1"
	}
}